JavaBasePlugin (Gradle API 2.14.1)

Package: org.gradle.api.plugins

## [Java] Class JavaBasePlugin

- org.gradle.api.plugins.JavaBasePlugin

- All Implemented Interfaces and Traits:
    Plugin

      public class JavaBasePlugin
      extends Object

  A Plugin which compiles and tests Java source, and assembles it into a JAR file.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `BUILD_DEPENDENTS_TASK_NAME` |
    `static String` | `BUILD_NEEDED_TASK_NAME` |
    `static String` | `BUILD_TASK_NAME` |
    `static String` | `CHECK_TASK_NAME` |
    `static String` | `DOCUMENTATION_GROUP` |
    `static String` | `VERIFICATION_GROUP` |

  - ### Constructor Summary

    Constructors
    Constructor and description
    `JavaBasePlugin (org.gradle.internal.reflect.Instantiator instantiator, JavaToolChain javaToolChain, org.gradle.api.internal.project.taskfactory.ITaskFactory taskFactory, org.gradle.model.internal.registry.ModelRegistry modelRegistry)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `apply(org.gradle.api.internal.project.ProjectInternal project)`
    `void` | `configureForSourceSet(SourceSet sourceSet, AbstractCompile compile)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final String BUILD_DEPENDENTS_TASK_NAME

    - #### public static final String BUILD_NEEDED_TASK_NAME

    - #### public static final String BUILD_TASK_NAME

    - #### public static final String CHECK_TASK_NAME

    - #### public static final String DOCUMENTATION_GROUP

    - #### public static final String VERIFICATION_GROUP

  - ### Constructor Detail

    - #### @javax.inject.Inject public JavaBasePlugin(org.gradle.internal.reflect.Instantiator instantiator, JavaToolChain javaToolChain, org.gradle.api.internal.project.taskfactory.ITaskFactory taskFactory, org.gradle.model.internal.registry.ModelRegistry modelRegistry)

  - ### Method Detail

    - #### public void apply(org.gradle.api.internal.project.ProjectInternal project)

    - #### public void configureForSourceSet(SourceSet sourceSet, AbstractCompile compile)